import {
  alert_default
} from "./chunk-O4CYWEUV.js";
import {
  AKElement,
  n,
  patternfly_base_default,
  t
} from "./chunk-AMC4UCMS.js";
import {
  ke
} from "./chunk-XFT4DB4U.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/elements/Alert.ts
var Alert = class extends AKElement {
  constructor() {
    super(...arguments);
    this.inline = false;
    this.plain = false;
    this.level = "pf-m-warning" /* Warning */;
  }
  static get styles() {
    return [patternfly_base_default, alert_default];
  }
  render() {
    return ke`<div
            class="pf-c-alert ${this.inline ? "pf-m-inline" : ""} ${this.plain ? "pf-m-plain" : ""} ${this.level}"
        >
            <div class="pf-c-alert__icon">
                <i class="fas fa-exclamation-circle"></i>
            </div>
            <h4 class="pf-c-alert__title">
                <slot></slot>
            </h4>
        </div>`;
  }
};
__decorateClass([
  n({ type: Boolean })
], Alert.prototype, "inline", 2);
__decorateClass([
  n({ type: Boolean })
], Alert.prototype, "plain", 2);
__decorateClass([
  n()
], Alert.prototype, "level", 2);
Alert = __decorateClass([
  t("ak-alert")
], Alert);
//# sourceMappingURL=chunk-QSUYMBXD.js.map
