import {
  en_exports
} from "./chunk-WKHTTNZV.js";
import {
  msg
} from "./chunk-XFT4DB4U.js";

// src/elements/ak-locale-context/definitions.ts
var enLocale = en_exports;
var debug = [
  "pseudo-LOCALE",
  /^pseudo/i,
  () => msg("Pseudolocale (for testing)"),
  async () => await import("./pseudo-LOCALE-2RRMNO3Q.js")
];
var LOCALE_TABLE = [
  ["en", /^en([_-]|$)/i, () => msg("English"), async () => await import("./en-5P2DXIL2.js")],
  ["es", /^es([_-]|$)/i, () => msg("Spanish"), async () => await import("./es-RBX624GT.js")],
  ["de", /^de([_-]|$)/i, () => msg("German"), async () => await import("./de-3RCEPVSC.js")],
  ["fr", /^fr([_-]|$)/i, () => msg("French"), async () => await import("./fr-5BTA2PMI.js")],
  ["ko", /^ko([_-]|$)/i, () => msg("Korean"), async () => await import("./ko-PYFYH62I.js")],
  ["nl", /^nl([_-]|$)/i, () => msg("Dutch"), async () => await import("./nl-SWNKRLNP.js")],
  ["pl", /^pl([_-]|$)/i, () => msg("Polish"), async () => await import("./pl-7EMHY5Z2.js")],
  ["ru", /^ru([_-]|$)/i, () => msg("Russian"), async () => await import("./ru-J7LZW5VY.js")],
  ["tr", /^tr([_-]|$)/i, () => msg("Turkish"), async () => await import("./tr-TC7MELIS.js")],
  ["zh-Hant", /^zh[_-](HK|Hant)/i, () => msg("Chinese (traditional)"), async () => await import("./zh-Hant-PZCR4DOE.js")],
  ["zh_TW", /^zh[_-]TW$/i, () => msg("Taiwanese Mandarin"), async () => await import("./zh_TW-PLCNMD4O.js")],
  ["zh-Hans", /^zh(\b|_)/i, () => msg("Chinese (simplified)"), async () => await import("./zh-Hans-BBI73CTS.js")],
  debug
];
var LOCALES = LOCALE_TABLE.map(([code, match, label, locale]) => ({
  code,
  match,
  label,
  locale
}));

export {
  enLocale,
  LOCALES
};
//# sourceMappingURL=chunk-UOXFC4Y2.js.map
